import { ListenerAbstract } from '../types/listener';
export declare class BalVisibilityListener extends ListenerAbstract {
    private waitAfterFramePrint;
    private intersectionObserver;
    connect(el: HTMLElement): Promise<void>;
    disconnect(): void;
    private intersectionCallback;
    private destroyMutationObserver;
}
